<?php
#
# Copyright(C) 2003-2005 INL
# Written by Eric Leblond <regit@inl.fr>
#            Vincent Deffontaines <gryzor@inl.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

$show_state_menu="no";
require("include/header.inc");

$start=split(',',$_GET['start']);
$start[0]=check_start($start[0]);
$start[1]=check_start($start[1]);
$start[2]=check_start($start[2]);
if( count($start)<3 ) {
	$start[0]=0;$start[1]=0;$start[2]=0;
}


$order=split(',',$_GET['order']);
if( count($order)<3 ) {
	$order[0]="last_time";$order[1]="last_time";$order[2]="last_time";
}
$order[0]=check_order($order[0]);
$order[1]=check_order($order[1]);
$order[2]=check_order($order[2]);


$state=-1;
if ($nufw_enabled == "yes"){
  $state=$_GET['state'];
  if (!(($state>=-1) and ($state<=3)))
    $state=-1;
  if (!preg_match('/^[0-9-]+$/',$state))
    $state=-1;
}

#$state_query="";
#if (($nufw_enabled=="yes") and ($state!=-1))
#  $state_query="WHERE state=$state ";


?>

<script>
function reload(index,start,order) {
	var form=document.main;

	if(order!=null) {
		aorder=form.order.value.split(",");
		aorder[index]=order;
		form.order.value=aorder.join(",");

		start=0;
	}

	astart=form.start.value.split(",");
	astart[index]=start;
	form.start.value=astart.join(",");

	form.submit();
}

</script>

<form name="main" action="index.php">

<input type=hidden name=start value=<?php echo join(',',$start)?>>
<input type=hidden name=order value=<?php echo join(',',$order)?>>
<input type=hidden name=state value=<?php echo $state?>>

</form>

<!--
<center>

<table border=0 width=1000 cellspacing=0 cellpadding=0 bgcolor=#FFFFFF>
<tr>
<td colspan=2>
-->
<div id="leftmenu">
<?php

if ($print_load){
	// print stat
	print "<div class=\"infos\">";
	$load1=print_load();
	print "</div>";
	if ($load1 >=$warn_load){
		print "<div class=warning>";
		print_badhosts($badhostnumber);
		print "</div>";
	}
        if ($nufw_enabled=="yes"){
                print "<div class=warning>";
		print_offending_users($badhostnumber);
                print "</div>";
        }
}

?>

	<div class="perfs">
<?php echo number_of_entries(); ?> entries<br>
Cache updated : <?php printf("%.3f sec(s)",$computation_time);?><br>
page generated : <?php printf("%.3f sec(s)",getmicrotime()-$start_time);?><br>
<!-- sql time <?php printf("%.3f sec(s)",$sql_time)?> <br> -->
	</div> <!-- perfs -->

	<div class="perfs">
	<a href="?clear_cache=1"><img alt="clear cache" src="images/cache.gif" border=0>clear cache</a>
	</div>

<div class="soft">
<a href="http://www.inl.fr/article.php3?id_article=7">Ulog-php</a>
version 1.0.1
</div>
<script language="JavaScript"><!--
browser_version = parseInt(navigator.appVersion);
browser_type = navigator.appName;

if (browser_type == "Microsoft Internet Explorer" && (browser_version >= 4)) {
document.write("<center><a href=\"http://www.spreadfirefox.com/?q=affiliates&id=0&t=70\"><img border=\"0\" alt=\"Get Firefox!\" title=\"Get Firefox!\" src=\"http://www.spreadfirefox.com/community/images/affiliates/Buttons/88x31/get.gif\"/></a></center><br>");
} 

// --></script>
</div> <!-- leftmenu -->

<div id="level0">
	<div id="level1">
		<div class="head">
			<h2><img src="images/global32.gif" alt="global" border=0> Global statistics for <?php echo $machine;?></h2>
		</div>

		<div id="level2">
			<div id="rightmenu">
				<div class="tcpports">

<?php
// table bad tcp ports

$header=getHeader(1,"Bad TCP packets :","TCP Port",$port_number);

$query="select tcp_dport,count,first_time,last_time from tcp_ports${machine_suffix} order by $order[1] desc limit $start[1],$port_number;";

put_table($query,$header,"print_row_tcp","javascript:reload(1,".max($start[1]-$port_number,0).",null);","javascript:reload(1,".($start[1]+$port_number).",null);",$state);

?>

				</div> <!-- tcpports -->

				<div class="udpports">
<?php 
// table bad udp ports

$header=getHeader(2,"Bad UDP packets :","UDP Port",$port_number);

$query="select udp_dport,count,first_time,last_time from udp_ports${machine_suffix} order by $order[2] desc limit $start[2],$port_number;";

put_table($query,$header,"print_row_udp","javascript:reload(2,".max($start[2]-$port_number,0).",null);","javascript:reload(2,".($start[2]+$port_number).",null);",$state);

?>
				</div> <!-- udpports -->
			</div> <!-- rightmenu -->

			<div id="level3">
				<div id="textbody">
					<div class="badhosts">
<?php
//table bad hosts

$header=getHeader(0,"<img src=\"images/host.gif\" border=0 alt=\"host\"> Bad Hosts packets :","Host",$number);

$query="select ip_addr,count,first_time,last_time from offenders${machine_suffix} order by $order[0] DESC limit $start[0],$number;"; 

put_table($query,$header,"print_row_host","javascript:reload(0,".max($start[0]-$number,0).",null);","javascript:reload(0,".($start[0]+$number).",null);",$state);

?>
					</div>
					<div class="footer">
<?php
require("include/footer.inc");
?>
					</div> <!-- footer -->

				</div> <!-- textbody -->
			</div> <!-- level 3 -->
		</div> <!-- level 2 -->
	</div> <!-- level 1 -->
</div> <!-- level 0 -->
</body>
</html>
