<?php 
#
# Copyright(C) 2003-2005 INL
# Written by Eric Leblond <regit@inl.fr>
#            Vincent Deffontaines <gryzor@inl.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
require("include/header.inc");


$port=$_GET['port'];
$port=check_start($port);

$state=-1;
if ($nufw_enabled == "yes"){
  $state=$_GET['state'];
  if (!(($state>=-1) and ($state<=3)))
    $state=-1;
  if (!preg_match('/^[0-9-]+$/',$state))
    $state=-1;
}
$and_state_query="";
if (($nufw_enabled=="yes") and ($state!=-1))
  $and_state_query="AND state=$state ";

if (isset($port)){
	$port=(int) preg_replace("/\s+/","",$port);
	if (0>$port or  $port>65556){
		$port=0;
		echo "You joker, port is null now";
	}
} else {
	$port=0;
}

$start=$_GET['start'];
$start=check_start($start);
if (! isset($start)) {
         $start=0;
}

$query="select $packet_query_info from $table_ulog where "; 
$proto=$_GET['proto'];
if (isset($proto)) {
  if(($proto == "tcp") or ($proto == "udp")){
	$query.=" ${proto}_dport=$port";
  } else {
        $proto="";
	$query.=" (tcp_dport=$port or udp_dport=$port) ";
  }
} else {
	$query.=" (tcp_dport=$port or udp_dport=$port) ";
}
$query.=" $and_state_query order by oob_time_sec DESC,oob_time_usec DESC limit $start,$number";

$name_port=getservbyport($port,$proto);
if($name_port=='') $name_port="( $port , $proto )";
echo "<div class=mainarray>";
echo "<h2> Stats for port $name_port";
#echo "<a href=http://www.portsdb.org/bin/portsdb.cgi?portnumber=$port&protocol=".strtoupper($proto)."><img src=images/note.gif border=0></a>";
echo "<a href=http://www.dshield.org/port_report.php?port=$port><img src=images/note.gif border=0></a>";
echo "</h2>";

$header="<tr><td colspan=8 type=header>";
$header.="<table width=100% cellpadding=0 cellspacing=0>";
$header.="<tr><td><h3>Port $port,$proto packets :</h3></td><td align=right> ( $start, ".($start+$number-1)." )</td></tr>";
$header.="</table></td></tr>";

packet_query($header,$query,"port.php?start=".max($start-$number,0)."&port=$port&state=$state","port.php?start=".($start+$number)."&port=$port&state=$state",$state);


require("include/footer.inc");
echo "</div>";
?>
</body>
</html>
