<?php

if ($ldap_directory=="yes")
{
    require("include/ldap-resolv.php");
}

function setURIstate($uri,$state) {
  if (preg_match('/\/$/',$uri))
    return $uri;
  $newuri=preg_replace('/state=[^&]+/',"state=$state",$uri);
  if (($newuri == $uri)and(!preg_match('/state=/',$uri)))
    $newuri.="&state=$state";
  return $newuri;
}
function check_start($start) {
  if (!preg_match('/^\d+$/',$start))
    $start=0;
    return $start;
}
function check_order($order) {
  if (($order != 'last_time')&&($order!='first_time')&&($order!='count'))
    $order='last_time';
    return $order;
}

function getHeader($index,$title,$obj,$number) {
	global $start,$order;

	$img_order="<img border=0 width=20 height=15 valign=bottom src=images/down.gif>";

	$header="<tr><td colspan=4 type=header>";
	$header.="<table width=100% cellpadding=0 cellspacing=0>";
	$header.="<tr><td><h3>$title</h3></td><td align=right> ( $start[$index], ".($start[$index]+$number-1)." )</td></tr>";
	$header.="</table></td></tr>";
	$header.="<tr class=t_header>";
	$header.="<td>$obj</td>";
	$header.="<td><a href=javascript:reload($index,null,'count')>Pckts";
	if($order[$index]=="count") $header.=$img_order;
	$header.="</a></td><td><a href=javascript:reload($index,null,'first_time')>First";
	if($order[$index]=="first_time") $header.=$img_order;
	$header.="</a></td><td><a href=javascript:reload($index,null,'last_time')>Last";
	if($order[$index]=="last_time") $header.=$img_order;
	$header.="</a></td></tr>";

	return $header;
}

function getmicrotime(){ 
    list($usec, $sec) = explode(" ",microtime()); 
        return ((float)$usec + (float)$sec); 
}

function packet_query($pheader,$query,$link_prev,$link_next,$state) {
        global $nufw_enabled;
	$header=$pheader;
        if ($nufw_enabled == "yes"){
	    $header.="<tr class=t_header><td>Packet Id</td><td>User</td><td>Src</td><td>Dest</td><td>Proto</td><td>Sport</td><td>Dport</td><td>Date</td><td>Log Prefix</td></tr>";
        }else{
	    $header.="<tr class=t_header><td>Packet Id</td><td>Src</td><td>Dest</td><td>Proto</td><td>Sport</td><td>Dport</td><td>Date</td><td>Log Prefix</td></tr>";
        }

	put_table($query,$header,"print_row_packet",$link_prev,$link_next,$state);
}

# purge cache table
function clear_cache(){
    global $nufw_enabled;
# clear offender cache
    $query="delete from offenders;";
    mysql_query($query)  or die("Invalid query : $query");

# clear tcp cache
    $query="delete from tcp_ports;";
    mysql_query($query)  or die("Invalid query : $query");

# clear udp cache
    $query="delete from udp_ports;";
    mysql_query($query)  or die("Invalid query : $query");

    if ($nufw_enabled == "yes"){
      $query="delete from users;";
      mysql_query($query) or die ("Invalid query : $query");
    }

}



function put_table($query,$header,$func_print_row,$link_prev,$link_next,$state) {
    global $sql_time;

    echo "<table class=header>";
    echo "<tr><td colspan=2><table class=content>";
    #echo "<tr><td colspan=2><table border=1>";
    echo $header;

    $sql_time_tmp=getmicrotime();
    $result=mysql_query($query) or die ("query invalid :".$query);
    $sql_time+=getmicrotime()-$sql_time_tmp;

    while ($ligne = mysql_fetch_row($result)){
        $func_print_row($ligne,$state);
    }

    echo "</table></td></tr>";

    //put previous and next
    print_table_footer($link_prev,$link_next);

    echo "</table>";
}

function print_row_host($ligne) {
    global $date_format;

    settype($ligne[0], "double");
    echo "<tr><td><a href=host.php?host=".$ligne[0]." > ".long2ip($ligne[0])."</a></td><td> $ligne[1] </td>";
    echo "<td>".date($date_format,$ligne[2])."</td>";
    echo "<td>".date($date_format,$ligne[3])."</td></tr>";
}

function print_row_user($ligne) {
    global $date_format;

    echo "<tr><td><a href=user.php?userid=".$ligne[0]." > ".$ligne[1]."</a></td><td> $ligne[2] </td>";
    echo "<td>".date($ligne[3])."</td>";
    echo "<td>".date($date_format,$ligne[4])."</td></tr>";
}
function print_row_tcp($ligne) {
    global $date_format;

    echo "<tr><td><a href=port.php?proto=tcp&port=".$ligne[0]." > ".$ligne[0]."</a></td><td> $ligne[1] </td>";
    echo "<td>".date($date_format,$ligne[2])."</td>";
    echo "<td>".date($date_format,$ligne[3])."</td></tr>";
}

function print_row_udp($ligne) {
    global $date_format;

    echo "<tr><td><a href=port.php?proto=udp&port=".$ligne[0]." > ".$ligne[0]."</a></td><td> $ligne[1] </td>";
    echo "<td>".date($date_format,$ligne[2])."</td>";
    echo "<td>".date($date_format,$ligne[3])."</td></tr>";
}

function print_row_packet($ligne,$state) {
    global $date_format,$states_tab,$nufw_enabled,$colorize_entries;

    $proto=getprotobynumber($ligne[2]);

    settype($ligne[0], "double");
    echo "<tr";
    if (($colorize_entries =="yes") && ($nufw_enabled == "yes"))
    {
      echo " class=\"".$states_tab[$ligne[12]]."\"";
    }
    echo "><td><a href=packet.php?id=".$ligne[9]."&state=".$state.">".$ligne[9]."</a></td>";
    if ($nufw_enabled == "yes")
    {
          echo "<td><a href=user.php?userid=".$ligne[10]."&state=".$state.">".$ligne[11]."</a></td>";
    }
    echo "<td><a href=host.php?host=".$ligne[0]."&state=".$state." > ".long2ip($ligne[0])."</a></td>";
    settype($ligne[1], "double");
    echo "<td><a href=host.php?host=".$ligne[1]."&state=".$state."&query_order=d>".long2ip($ligne[1])."</a></td><td>$proto</td>";	
    echo "<td>";
    if ( ! is_null($ligne[4]))
        echo $ligne[4];
    elseif (! is_null($ligne[6]))
      echo $ligne[6];
    echo "</td><td>";
    if ( ! is_null($ligne[5])){
        $serv=getservbyport($ligne[5],$proto);
        if (strlen($serv)==0) 
            echo $ligne[5];
        else
            echo $serv;
    }
    elseif (! is_null($ligne[7])){
        $serv=getservbyport($ligne[7],$proto);
        if (strlen($serv)==0) 
            echo $ligne[7];
        else
            echo $serv;
    }

    echo"</td><td>".date($date_format,$ligne[3])."</td><td>".$ligne[8]."</td></tr>\n";
}

function print_table_footer($link_prev,$link_next) {
    echo "<tr class=header><td align=left>";
    echo "<a href=$link_prev>prev</a>";
    echo "</td><td align=right>";
    echo "<a href=$link_next>next</a>";
    echo "</td></tr>";
}

function number_of_entries(){
global $table_ulog;
	$query="select count(*) from $table_ulog" ;
    	$result = mysql_query($query) or die("Invalid query : $query");
    	$ligne = mysql_fetch_row($result);
   	 return $ligne[0];
}

function daily_stats(){
	global $table_ulog;
	$query="select  DAYNAME(timestamp) as DAY, count(*) as CURRENT
	,count(*)*24*3600/(TIME_TO_SEC(CURRENT_TIME())) as ESTIMATE  from
	$table_ulog  where CURRENT_DATE() <timestamp group by
	TO_DAYS(timestamp);";

    	$result = mysql_query($query) or die("Invalid query : $query");
    	$ligne = mysql_fetch_row($result);
	print "$ligne[0] : $ligne[1] ($ligne[2])";
	
}

function print_load(){
	global $table_ulog;


	$query="select count(*)/60 from $table_ulog where timestamp > NOW()- INTERVAL 1 MINUTE;"; 
	
	$result = mysql_query($query) or die("Invalid query : $query");
    	$ligne = mysql_fetch_row($result);
	print "<table >";
	#print "<table border=1>";
	print "<tr><td colspan=2 type=header><h3>Load average</h3></td></tr>";
	print "<tr><td class=t_header>1 min :</td><td> $ligne[0] pckt/s</td></tr>";
	$load1=$ligne[0];
	$query="select count(*)/300 from $table_ulog where timestamp > NOW()- INTERVAL 5 MINUTE;";
	
	$result = mysql_query($query) or die("Invalid query : $query");
    	$ligne = mysql_fetch_row($result);

	print "<tr><td class=t_header>5 min :</td><td> $ligne[0] pckt/s</td></tr>";
	$query="select count(*)/900 from $table_ulog where timestamp > NOW()- INTERVAL 15 MINUTE;";
	$result = mysql_query($query) or die("Invalid query : $query");
    	$ligne = mysql_fetch_row($result);
	print "<tr><td class=t_header>15 min :</td><td> $ligne[0] pckt/s</td></tr>";
	print "</table>";
	return $load1;
	}

function print_badhosts($limit=3){
	global $table_ulog;
		$query="select ip_saddr,count(*)/300 as RATE from $table_ulog where timestamp > NOW()- INTERVAL 5 MINUTE   group by ip_saddr order by RATE desc limit $limit;";
		$result = mysql_query($query) or die("Invalid query : $query");

	#print "<table border=1>";
	print "<table>";
	print "<tr><td><h3>Bad Hosts </h3></td><td>pckt/s</td></tr>";
    		while ($ligne = mysql_fetch_row($result)){
    			settype($ligne[0], "double");
			print "<tr><td class=t_header ><a href=host.php?host=".$ligne[0]." >
			".long2ip($ligne[0])."</a></td><td> ".$ligne[1]."</td></tr>";
		}

	print "</table>";
}
	
function print_offending_users($limit=3){
	global $table_ulog, $state_drop;
		$query="select user_id,username,count(*)/300 as RATE from $table_ulog where timestamp > NOW()- INTERVAL 5 MINUTE AND username NOT LIKE \"\" AND state=$state_drop group by user_id order by RATE desc limit $limit;";
		$result = mysql_query($query) or die("Invalid query : $query");

	#print "<table border=1>";
	print "<table>";
        if (mysql_num_rows($result)>=1)
        {
	print "<tr><td><h3>Offending Users </h3></td><td>pckt/s</td></tr>";
    		while ($ligne = mysql_fetch_row($result)){
    			settype($ligne[0], "double");
			print "<tr><td class=t_header ><a href=user.php?userid=".$ligne[0]." >
			".$ligne[1]."</a></td><td> ".$ligne[2]."</td></tr>";
		}

        }
	print "</table>";
}

function resolve_user($userid){
        global $table_ulog;
        $query="select username from $table_ulog where user_id = $userid order by timestamp DESC limit 1";
	$result = mysql_query($query) or die("Invalid query : $query");
        $ligne = mysql_fetch_row($result);
        return($ligne[0]);
}
	
?>
