<?php



function find_user_id($username){
  global $ldap_host,$ldap_bind,$ldap_passwd,$ldap_base,$ldap_scope,$ldap_filter_objectclass,$ldap_filter_id,$ldap_filter_returned_field;
  $ds=ldap_connect($ldap_host);
  if (!$ds)
  {
    echo "Cannot connect to LDAP directory!";
    exit;
  }
  if (!ldap_set_option($ds, LDAP_OPT_PROTOCOL_VERSION, 3)) {
       echo "Failed to set protocol version to 3";
       exit;
  }
  if ($ldap_bind=="")
    $r=ldap_bind($ds);
  else
    $r=ldap_bind($ds, $ldap_bind, $ldap_passwd);

  if (!$r)
  {
    echo "Connected to the LDAP directory, but the ldap_bind() failed";
    exit;
  }

  $ldap_filter="(&(objectclass=$ldap_filter_objectclass)($ldap_filter_id=$username))";
  $sr=ldap_search($ds,$ldap_base,$ldap_filter);

  $nb = ldap_count_entries($ds,$sr);

$i=0;
for ($entryID=ldap_first_entry($ds,$sr); $entryID!=FALSE; $entryID=ldap_next_entry($ds,$entryID))
{
  // Do stuff with the $entryID.
  $values = ldap_get_values($ds,$entryID,$ldap_filter_returned_field);
  $result[$i++] =  $values[0];
}

  ldap_close($ds);
  return $result;

}
